@use './variable' as *;

.header {
  padding-top: 50px;
  padding-bottom: 90px;

  &__container {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  &__authentication {
    display: flex;
    align-items: center;
    gap: 0 30px;
  }

  &__signin {
    font-weight: 500;
    color: $heading-color;
  }

  &__signup {
    font-weight: 500;
    padding: 13px 45px;
    color: $primary-color;
    border: 1px solid;
    border-radius: 100rem;
  }
}

@media screen and (max-width: 1023px) {
  .header {
    padding: 25px 0 50px;
  }

  .header__authentication {
    display: none;
  }
}
